com.ihr.xbrl.om.table.layout

## Class CellSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<CellSet>
      - - com.ihr.xbrl.om.table.layout.CellSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<CellSet>, java.util.Collection<CellSet>, java.util.List<CellSet>, java.util.RandomAccess

      public class CellSet
      extends java.util.Vector<CellSet>

  The Class CellSet.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellSet(Axis axis, XBRLTableLayout layout)` Instantiates a new cell set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Axis` | `getAxis()` Gets the axis.
    `java.util.Collection<Cell>` | `getCells()` Gets the cells.
    `boolean` | `isLeaf()` Returns true if this CellSet contains no other CellSet.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CellSet

          public CellSet(Axis axis,
                 XBRLTableLayout layout)

      Instantiates a new cell set.
      Parameters:
        `axis` - the axis
        `layout` - the layout

  - ### Method Detail

    - #### isLeaf

          public boolean isLeaf()

      Returns true if this CellSet contains no other CellSet.
      Returns:
        true, if is leaf

    - #### getCells

          public java.util.Collection<Cell> getCells()

      Gets the cells.
      Returns:
        the cells

    - #### getAxis

          public Axis getAxis()

      Gets the axis.
      Returns:
        the axis